package com.ruoyi.ngCalTools.model;

public class GasProps {
    // corresponds to the control group in meter classes
    public int lStatus;  // calculation status 计算状态
    public boolean bForceUpdate;  // 执行全部计算的标志 signal to perform full calculation
    public double[] adMixture; // 气体摩尔组成 Composition in mole fraction
    public double[] adMixtureV; // 气体体积组成 Composition in mole fraction
    public double[] adMixtureD; // 气体质量组成 Composition in mole fraction
    public int dCbtj; // 参比条件 101325 0,15,20
    public double dPb;  // 参比压力 Contract base Pressure (Pa)
    public double dTb;  // 参比温度Contract base temperature (K)
    public double dPf;  // 绝对压力 Absolute Pressure (Pa)
    public double dTf;  // 工况温度 Flowing temperature (K)
    // basic output from AGA 8 Detail method
    public double dMrx;  // 分子量 mixture molar mass
    public double dZb;  // 标况压缩因子compressibility at contract base condition
    public double dZf;  // 工况压缩因子compressibility at flowing condition
    public double dFpv;  // 超压缩系数 supercompressibility
    public double dDb;  // 标况摩尔密度molar density at contract base conditions (moles/dm3)
    public double dDf;  // 工况摩尔密度 molar density at flowing conditions (moles/dm3)
    public double dRhob;  // 标况质量密度mass density at contract base conditions (kg/m3)
    public double dRhof;  // 工况质量密度 mass density at flowing conditions (kg/m3)
    public double dRD_Ideal;  // 理想气体的相对密度ideal gas relative density
    public double dRD_Real;  // 真实气体的相对密度real gas relative density
    // additional output
    public double dHo;  // 理想气体的比焓 ideal gas specific enthalpy
    public double dH; // 真实气体的焓 real gas specific enthalpy (J/kg)
    public double dS; // 真实气体的熵real gas specific entropy (J/kg-mol.K)
    public double dCpi; // 理想气体定压热容 ideal gas constant pressure heat capacity (J/kg-mol.K)
    public double dCp; // 定压热容real gas constant pressure heat capacity (J/kg-mol.K)
    public double dCv; // 定容积热容 real gas constant volume heat capacity (J/kg-mol.K)
    public double dk; // 比热比ratio of specific heats
    public double dKappa; // 等熵指数 isentropic exponent, denoted with Greek letter kappa
    public double dSOS; // 声速speed of sound (m/s)
    public double dCstar; // 临界流函数 critical flow factor C*

    // 11062 输出
    public double dHhvMol; // 摩尔高位发热量
    public double dLhvMol; // 摩尔低位发热量
    public double dHhvv; // 体积高位发热量
    public double dLhvv; // 体积低位发热量
    public double dHhvm; // 质量高位发热量
    public double dLhvm; // 质量地位发热量

    public double dZb11062; // 标况压缩因子
    public double dRhob11062;  // 标况质量密度mass density at contract base conditions (kg/m3)
    public double dRhof11062;  // 工况质量密度 mass density at flowing conditions (kg/m3)
    public double dRD_Ideal11062;  // 理想气体的相对密度ideal gas relative density
    public double dRD_Real11062;  // 真实气体的相对密度real gas relative density
    public double dWobbeIndex;  // 真实气体的沃泊指数

    public double Pc;   // 临界压力
    public double TC;      // 临界温度
    public double Bzsx;    // 爆炸上限
    public double Bzxx;   // 爆炸下限
    public double TotalC;     // 总炭含量 (kg/m3)
    public double C2;     // C2组分含量 (kg/m3)
    public double C2j;     // C2以上组分含量 (kg/m3)
    public double C3j;     // C3以上组分含量 (kg/m3)
    public double C4j;     // C4以上组分含量 (kg/m3)
    public double C5j;   // C5以上组分含量 (kg/m3)
    public double C6j;   // C6以上组分含量 (kg/m3)
    public double C3C4;   // C3C4组分含量 (kg/m3)
    public  String dngComponents; //组分的组合字符串 从前端传过来

    // Getters and Setters

    public String getDngComponents() {
        return dngComponents;
    }

    public void setDngComponents(String dngComponents) {
        this.dngComponents = dngComponents;
    }

    public int getLStatus() {
        return lStatus;
    }

    public void setLStatus(int lStatus) {
        this.lStatus = lStatus;
    }

    public boolean isBForceUpdate() {
        return bForceUpdate;
    }

    public void setBForceUpdate(boolean bForceUpdate) {
        this.bForceUpdate = bForceUpdate;
    }

    public double[] getAdMixture() {
        return adMixture;
    }

    public void setAdMixture(double[] adMixture) {
        this.adMixture = adMixture;
    }

    public double[] getAdMixtureV() {
        return adMixtureV;
    }

    public void setAdMixtureV(double[] adMixtureV) {
        this.adMixtureV = adMixtureV;
    }

    public double[] getAdMixtureD() {
        return adMixtureD;
    }

    public void setAdMixtureD(double[] adMixtureD) {
        this.adMixtureD = adMixtureD;
    }

    public int getDCbtj() {
        return dCbtj;
    }

    public void setDCbtj(int dCbtj) {
        this.dCbtj = dCbtj;
    }

    public double getDPb() {
        return dPb;
    }

    public void setDPb(double dPb) {
        this.dPb = dPb;
    }

    public double getDTb() {
        return dTb;
    }

    public void setDTb(double dTb) {
        this.dTb = dTb;
    }

    public double getDPf() {
        return dPf;
    }

    public void setDPf(double dPf) {
        this.dPf = dPf;
    }

    public double getDTf() {
        return dTf;
    }

    public void setDTf(double dTf) {
        this.dTf = dTf;
    }

    public double getDMrx() {
        return dMrx;
    }

    public void setDMrx(double dMrx) {
        this.dMrx = dMrx;
    }

    public double getDZb() {
        return dZb;
    }

    public void setDZb(double dZb) {
        this.dZb = dZb;
    }

    public double getDZf() {
        return dZf;
    }

    public void setDZf(double dZf) {
        this.dZf = dZf;
    }

    public double getDFpv() {
        return dFpv;
    }

    public void setDFpv(double dFpv) {
        this.dFpv = dFpv;
    }

    public double getDDb() {
        return dDb;
    }

    public void setDDb(double dDb) {
        this.dDb = dDb;
    }

    public double getDDf() {
        return dDf;
    }

    public void setDDf(double dDf) {
        this.dDf = dDf;
    }

    public double getDRhob() {
        return dRhob;
    }

    public void setDRhob(double dRhob) {
        this.dRhob = dRhob;
    }

    public double getDRhof() {
        return dRhof;
    }

    public void setDRhof(double dRhof) {
        this.dRhof = dRhof;
    }

    public double getDRD_Ideal() {
        return dRD_Ideal;
    }

    public void setDRD_Ideal(double dRD_Ideal) {
        this.dRD_Ideal = dRD_Ideal;
    }

    public double getDRD_Real() {
        return dRD_Real;
    }

    public void setDRD_Real(double dRD_Real) {
        this.dRD_Real = dRD_Real;
    }

    public double getDHo() {
        return dHo;
    }

    public void setDHo(double dHo) {
        this.dHo = dHo;
    }

    public double getDH() {
        return dH;
    }

    public void setDH(double dH) {
        this.dH = dH;
    }

    public double getDS() {
        return dS;
    }

    public void setDS(double dS) {
        this.dS = dS;
    }

    public double getDCpi() {
        return dCpi;
    }

    public void setDCpi(double dCpi) {
        this.dCpi = dCpi;
    }

    public double getDCp() {
        return dCp;
    }

    public void setDCp(double dCp) {
        this.dCp = dCp;
    }

    public double getDCv() {
        return dCv;
    }

    public void setDCv(double dCv) {
        this.dCv = dCv;
    }

    public double getDk() {
        return dk;
    }

    public void setDk(double dk) {
        this.dk = dk;
    }

    public double getDKappa() {
        return dKappa;
    }

    public void setDKappa(double dKappa) {
        this.dKappa = dKappa;
    }

    public double getDSOS() {
        return dSOS;
    }

    public void setDSOS(double dSOS) {
        this.dSOS = dSOS;
    }

    public double getDCstar() {
        return dCstar;
    }

    public void setDCstar(double dCstar) {
        this.dCstar = dCstar;
    }

    public double getDHhvMol() {
        return dHhvMol;
    }

    public void setDHhvMol(double dHhvMol) {
        this.dHhvMol = dHhvMol;
    }

    public double getDLhvMol() {
        return dLhvMol;
    }

    public void setDLhvMol(double dLhvMol) {
        this.dLhvMol = dLhvMol;
    }

    public double getDHhvv() {
        return dHhvv;
    }

    public void setDHhvv(double dHhvv) {
        this.dHhvv = dHhvv;
    }

    public double getDLhvv() {
        return dLhvv;
    }

    public void setDLhvv(double dLhvv) {
        this.dLhvv = dLhvv;
    }

    public double getDHhvm() {
        return dHhvm;
    }

    public void setDHhvm(double dHhvm) {
        this.dHhvm = dHhvm;
    }

    public double getDLhvm() {
        return dLhvm;
    }

    public void setDLhvm(double dLhvm) {
        this.dLhvm = dLhvm;
    }

    public double getDZb11062() {
        return dZb11062;
    }

    public void setDZb11062(double dZb11062) {
        this.dZb11062 = dZb11062;
    }

    public double getDRhob11062() {
        return dRhob11062;
    }

    public void setDRhob11062(double dRhob11062) {
        this.dRhob11062 = dRhob11062;
    }

    public double getDRhof11062() {
        return dRhof11062;
    }

    public void setDRhof11062(double dRhof11062) {
        this.dRhof11062 = dRhof11062;
    }

    public double getDRD_Ideal11062() {
        return dRD_Ideal11062;
    }

    public void setDRD_Ideal11062(double dRD_Ideal11062) {
        this.dRD_Ideal11062 = dRD_Ideal11062;
    }

    public double getDRD_Real11062() {
        return dRD_Real11062;
    }

    public void setDRD_Real11062(double dRD_Real11062) {
        this.dRD_Real11062 = dRD_Real11062;
    }

    public double getDWobbeIndex() {
        return dWobbeIndex;
    }

    public void setDWobbeIndex(double dWobbeIndex) {
        this.dWobbeIndex = dWobbeIndex;
    }

    public double getPc() {
        return Pc;
    }

    public void setPc(double pc) {
        this.Pc = pc;
    }

    public double getTC() {
        return TC;
    }

    public void setTC(double tc) {
        this.TC = tc;
    }

    public double getBzsx() {
        return Bzsx;
    }

    public void setBzsx(double bzsx) {
        this.Bzsx = bzsx;
    }

    public double getBzxx() {
        return Bzxx;
    }

    public void setBzxx(double bzxx) {
        this.Bzxx = bzxx;
    }

    public double getTotalC() {
        return TotalC;
    }

    public void setTotalC(double totalC) {
        this.TotalC = totalC;
    }

    public double getC2() {
        return C2;
    }

    public void setC2(double c2) {
        this.C2 = c2;
    }

    public double getC2j() {
        return C2j;
    }

    public void setC2j(double c2j) {
        this.C2j = c2j;
    }

    public double getC3j() {
        return C3j;
    }

    public void setC3j(double c3j) {
        this.C3j = c3j;
    }

    public double getC4j() {
        return C4j;
    }

    public void setC4j(double c4j) {
        this.C4j = c4j;
    }

    public double getC5j() {
        return C5j;
    }

    public void setC5j(double c5j) {
        this.C5j = c5j;
    }

    public double getC6j() {
        return C6j;
    }

    public void setC6j(double c6j) {
        this.C6j = c6j;
    }

    public double getC3C4() {
        return C3C4;
    }

    public void setC3C4(double c3c4) {
        this.C3C4 = c3c4;
    }
}
