package com.ruoyi.ngCalTools.model;

public class flowProps {
    // 流量计算输入参数信息
    private int dFlowCalbz; // 流量计算标准
    private int dZcalbz; // 压缩因子计算标准
    private int dCbtj; // 计量参比条件压力
    private double dPb_M; // 计量参比条件压力
    private double dTb_M; // 计量参比条件温度
    private double dPb_E; // 燃烧参比条件压力
    private double dTb_E; // 燃烧参比条件温度
    private double dPatm; // 当地大气压
    private int dPatmUnit; // 当地大气压单位
    private double[] dNG_Compents; // 天然气组分

    private int dMeterType; // 流量计类别
    private int dCoreType; // 节流装置类型
    private int dPtmode; // 取压方式
    private int dPipeType; // 管道类型
    private double dPipeD; // 管道内径
    private int dLenUnit; // 长度单位
    private double dPipeDtemp; // 管道内径参考温度
    private int dPileDtempUint; // 温度单位
    private int dPipeMaterial; // 管道材料

    private double dOrificeD; // 孔板孔径
    private int dOrificeUnit; // 长度单位
    private double dOrificeDtemp; // 孔板内径参考温度
    private int dOrificeDtempUnit; // 温度单位
    private int dOrificeMaterial; // 孔板材料
    private int dOrificeSharpness; // 锐利度系数计算方法
    private double dOrificeRk; // 孔板入口圆弧半径
    private int dOrificeRkLenUint; // 长度单位
    private double dPf; // 输入压力
    private int dPfUnit; // 压力单位
    private int dPfType; // 压力类型
    private double dTf; // 输入温度
    private int dTfUnit; // 温度单位
    private double dDp; // 输入差压
    private int dDpUnit; // 压力单位
    private int dVFlowUnit; // 体积流量单位
    private int dMFlowUnit; // 质量流量单位
    private int dEFlowUnit; // 能量流量单位
    private double dCd; // 流出系数
    private double dMeterFactor; // 仪表系数
    private double dPulseNum; // 脉冲数
    private double dVFlowMax; // 最大体积流量
    private double dVFlowMin; // 最小体积流量
    private double dVFlowCon; // 常用流量
    private double dPfRange; // 压力量程
    private double dDpRange; // 差压量程
    private double dTfRange; // 温度计量程

    // 流量计算输出参数
    private double dE; // 求渐近速度系数 E
    private double dFG; // 求相对密度系数 FG
    private double dFT; // 求流动温度系数 FT
    private double dDViscosity; // 求动力粘度 dlnd
    private double dDExpCoefficient; // 求可膨胀系数
    private double dRnPipe; // 管道雷诺数
    private double dBk; // 孔板锐利度系数Bk
    private double dRoughNessPipe; // 管道粗糙度系数 Gme
    private double dCdCorrect; // 修正后的流出系数
    private double dCdNozell; // 喷嘴的流出系数
    private double dVFlowb; // 标况体积流量 m³、s
    private double dVFlowf; // 工况体积流量
    private double dMFlowb; // 标况质量流量
    private double dEFlowb; // 标况能量流量
    private double dVelocityFlow; // 管道内天然气流速
    private double dPressLost; // 压力损失
    private double dBeta; // 直径比
    private double dKappa; // 等熵指数

    // Getters and Setters
    public int getDFlowCalbz() {
        return dFlowCalbz;
    }

    public void setDFlowCalbz(int dFlowCalbz) {
        this.dFlowCalbz = dFlowCalbz;
    }

    public int getDZcalbz() {
        return dZcalbz;
    }

    public void setDZcalbz(int dZcalbz) {
        this.dZcalbz = dZcalbz;
    }

    public int getDCbtj() {
        return dCbtj;
    }

    public void setDCbtj(int dCbtj) {
        this.dCbtj = dCbtj;
    }

    public double getDPb_M() {
        return dPb_M;
    }

    public void setDPb_M(double dPb_M) {
        this.dPb_M = dPb_M;
    }

    public double getDTb_M() {
        return dTb_M;
    }

    public void setDTb_M(double dTb_M) {
        this.dTb_M = dTb_M;
    }

    public double getDPb_E() {
        return dPb_E;
    }

    public void setDPb_E(double dPb_E) {
        this.dPb_E = dPb_E;
    }

    public double getDTb_E() {
        return dTb_E;
    }

    public void setDTb_E(double dTb_E) {
        this.dTb_E = dTb_E;
    }

    public double getDPatm() {
        return dPatm;
    }

    public void setDPatm(double dPatm) {
        this.dPatm = dPatm;
    }

    public int getDPatmUnit() {
        return dPatmUnit;
    }

    public void setDPatmUnit(int dPatmUnit) {
        this.dPatmUnit = dPatmUnit;
    }

    public double[] getDNG_Compents() {
        return dNG_Compents;
    }

    public void setDNG_Compents(double[] dNG_Compents) {
        this.dNG_Compents = dNG_Compents;
    }

    public int getDMeterType() {
        return dMeterType;
    }

    public void setDMeterType(int dMeterType) {
        this.dMeterType = dMeterType;
    }

    public int getDCoreType() {
        return dCoreType;
    }

    public void setDCoreType(int dCoreType) {
        this.dCoreType = dCoreType;
    }

    public int getDPtmode() {
        return dPtmode;
    }

    public void setDPtmode(int dPtmode) {
        this.dPtmode = dPtmode;
    }

    public int getDPipeType() {
        return dPipeType;
    }

    public void setDPipeType(int dPipeType) {
        this.dPipeType = dPipeType;
    }

    public double getDPipeD() {
        return dPipeD;
    }

    public void setDPipeD(double dPipeD) {
        this.dPipeD = dPipeD;
    }

    public int getDLenUnit() {
        return dLenUnit;
    }

    public void setDLenUnit(int dLenUnit) {
        this.dLenUnit = dLenUnit;
    }

    public double getDPipeDtemp() {
        return dPipeDtemp;
    }

    public void setDPipeDtemp(double dPipeDtemp) {
        this.dPipeDtemp = dPipeDtemp;
    }

    public int getDPileDtempUint() {
        return dPileDtempUint;
    }

    public void setDPileDtempUint(int dPileDtempUint) {
        this.dPileDtempUint = dPileDtempUint;
    }

    public int getDPipeMaterial() {
        return dPipeMaterial;
    }

    public void setDPipeMaterial(int dPipeMaterial) {
        this.dPipeMaterial = dPipeMaterial;
    }

    public double getDOrificeD() {
        return dOrificeD;
    }

    public void setDOrificeD(double dOrificeD) {
        this.dOrificeD = dOrificeD;
    }

    public int getDOrificeUnit() {
        return dOrificeUnit;
    }

    public void setDOrificeUnit(int dOrificeUnit) {
        this.dOrificeUnit = dOrificeUnit;
    }

    public double getDOrificeDtemp() {
        return dOrificeDtemp;
    }

    public void setDOrificeDtemp(double dOrificeDtemp) {
        this.dOrificeDtemp = dOrificeDtemp;
    }

    public int getDOrificeDtempUnit() {
        return dOrificeDtempUnit;
    }

    public void setDOrificeDtempUnit(int dOrificeDtempUnit) {
        this.dOrificeDtempUnit = dOrificeDtempUnit;
    }

    public int getDOrificeMaterial() {
        return dOrificeMaterial;
    }

    public void setDOrificeMaterial(int dOrificeMaterial) {
        this.dOrificeMaterial = dOrificeMaterial;
    }

    public int getDOrificeSharpness() {
        return dOrificeSharpness;
    }

    public void setDOrificeSharpness(int dOrificeSharpness) {
        this.dOrificeSharpness = dOrificeSharpness;
    }

    public double getDOrificeRk() {
        return dOrificeRk;
    }

    public void setDOrificeRk(double dOrificeRk) {
        this.dOrificeRk = dOrificeRk;
    }

    public int getDOrificeRkLenUint() {
        return dOrificeRkLenUint;
    }

    public void setDOrificeRkLenUint(int dOrificeRkLenUint) {
        this.dOrificeRkLenUint = dOrificeRkLenUint;
    }

    public double getDPf() {
        return dPf;
    }

    public void setDPf(double dPf) {
        this.dPf = dPf;
    }

    public int getDPfUnit() {
        return dPfUnit;
    }

    public void setDPfUnit(int dPfUnit) {
        this.dPfUnit = dPfUnit;
    }

    public int getDPfType() {
        return dPfType;
    }

    public void setDPfType(int dPfType) {
        this.dPfType = dPfType;
    }

    public double getDTf() {
        return dTf;
    }

    public void setDTf(double dTf) {
        this.dTf = dTf;
    }

    public int getDTfUnit() {
        return dTfUnit;
    }

    public void setDTfUnit(int dTfUnit) {
        this.dTfUnit = dTfUnit;
    }

    public double getDDp() {
        return dDp;
    }

    public void setDDp(double dDp) {
        this.dDp = dDp;
    }

    public int getDDpUnit() {
        return dDpUnit;
    }

    public void setDDpUnit(int dDpUnit) {
        this.dDpUnit = dDpUnit;
    }

    public int getDVFlowUnit() {
        return dVFlowUnit;
    }

    public void setDVFlowUnit(int dVFlowUnit) {
        this.dVFlowUnit = dVFlowUnit;
    }

    public int getDMFlowUnit() {
        return dMFlowUnit;
    }

    public void setDMFlowUnit(int dMFlowUnit) {
        this.dMFlowUnit = dMFlowUnit;
    }

    public int getDEFlowUnit() {
        return dEFlowUnit;
    }

    public void setDEFlowUnit(int dEFlowUnit) {
        this.dEFlowUnit = dEFlowUnit;
    }

    public double getDCd() {
        return dCd;
    }

    public void setDCd(double dCd) {
        this.dCd = dCd;
    }

    public double getDMeterFactor() {
        return dMeterFactor;
    }

    public void setDMeterFactor(double dMeterFactor) {
        this.dMeterFactor = dMeterFactor;
    }

    public double getDPulseNum() {
        return dPulseNum;
    }

    public void setDPulseNum(double dPulseNum) {
        this.dPulseNum = dPulseNum;
    }

    public double getDVFlowMax() {
        return dVFlowMax;
    }

    public void setDVFlowMax(double dVFlowMax) {
        this.dVFlowMax = dVFlowMax;
    }

    public double getDVFlowMin() {
        return dVFlowMin;
    }

    public void setDVFlowMin(double dVFlowMin) {
        this.dVFlowMin = dVFlowMin;
    }

    public double getDVFlowCon() {
        return dVFlowCon;
    }

    public void setDVFlowCon(double dVFlowCon) {
        this.dVFlowCon = dVFlowCon;
    }

    public double getDPfRange() {
        return dPfRange;
    }

    public void setDPfRange(double dPfRange) {
        this.dPfRange = dPfRange;
    }

    public double getDDpRange() {
        return dDpRange;
    }

    public void setDDpRange(double dDpRange) {
        this.dDpRange = dDpRange;
    }

    public double getDTfRange() {
        return dTfRange;
    }

    public void setDTfRange(double dTfRange) {
        this.dTfRange = dTfRange;
    }

    public double getDE() {
        return dE;
    }

    public void setDE(double dE) {
        this.dE = dE;
    }

    public double getDFG() {
        return dFG;
    }

    public void setDFG(double dFG) {
        this.dFG = dFG;
    }

    public double getDFT() {
        return dFT;
    }

    public void setDFT(double dFT) {
        this.dFT = dFT;
    }

    public double getDDViscosity() {
        return dDViscosity;
    }

    public void setDDViscosity(double dDViscosity) {
        this.dDViscosity = dDViscosity;
    }

    public double getDDExpCoefficient() {
        return dDExpCoefficient;
    }

    public void setDDExpCoefficient(double dDExpCoefficient) {
        this.dDExpCoefficient = dDExpCoefficient;
    }

    public double getDRnPipe() {
        return dRnPipe;
    }

    public void setDRnPipe(double dRnPipe) {
        this.dRnPipe = dRnPipe;
    }

    public double getDBk() {
        return dBk;
    }

    public void setDBk(double dBk) {
        this.dBk = dBk;
    }

    public double getDRoughNessPipe() {
        return dRoughNessPipe;
    }

    public void setDRoughNessPipe(double dRoughNessPipe) {
        this.dRoughNessPipe = dRoughNessPipe;
    }

    public double getDCdCorrect() {
        return dCdCorrect;
    }

    public void setDCdCorrect(double dCdCorrect) {
        this.dCdCorrect = dCdCorrect;
    }

    public double getDCdNozell() {
        return dCdNozell;
    }

    public void setDCdNozell(double dCdNozell) {
        this.dCdNozell = dCdNozell;
    }

    public double getDVFlowb() {
        return dVFlowb;
    }

    public void setDVFlowb(double dVFlowb) {
        this.dVFlowb = dVFlowb;
    }

    public double getDVFlowf() {
        return dVFlowf;
    }

    public void setDVFlowf(double dVFlowf) {
        this.dVFlowf = dVFlowf;
    }

    public double getDMFlowb() {
        return dMFlowb;
    }

    public void setDMFlowb(double dMFlowb) {
        this.dMFlowb = dMFlowb;
    }

    public double getDEFlowb() {
        return dEFlowb;
    }

    public void setDEFlowb(double dEFlowb) {
        this.dEFlowb = dEFlowb;
    }

    public double getDVelocityFlow() {
        return dVelocityFlow;
    }

    public void setDVelocityFlow(double dVelocityFlow)
    {
    this.dVelocityFlow= dVelocityFlow;
    }

    public double getDPressLost() {
        return dPressLost;
    }

    public void setDPressLost(double dPressLost) {
        this.dPressLost = dPressLost;
    }

    public double getDKappa() {
        return dKappa;
    }

    public void setDKappa(double dKappa) {
        this.dKappa = dKappa;
    }

    public double getDBeta() {
        return dBeta;
    }

    public void setDBeta(double dBeta) {
        this.dBeta = dBeta;
    }


}
